<?php

# Required File Includes
include("../../../dbconnect.php");
include("../../../includes/functions.php");
include("../../../includes/gatewayfunctions.php");
include("../../../includes/invoicefunctions.php");

$gatewaymodule = "fasapay"; # Enter your gateway module name here replacing template

$GATEWAY = getGatewayVariables($gatewaymodule);
if (!$GATEWAY["type"])
    die("Module Not Activated");# Checks gateway module is active before accepting callback
# Get Returned Variables - Adjust for Post Variable Names from your Gateway's Documentation
$status = "1";
$invoiceid = $_POST["invoiceid"];
$transid = $_POST["fp_merchant_ref"]; //rand(10, 100);
$amount = $_POST["fp_amnt"];
$fee = $_POST["fp_fee_amnt"];
$sword = $GATEWAY['fp_sword'];

$invoice = checkCbInvoiceID($invoiceid, $GATEWAY["name"]); # Checks invoice ID is a valid invoice number or ends processing

checkCbTransID($transid); # Checks transaction number isn't already in the database and ends processing if it does

$msg = '';
$msg .= $_POST['fp_paidto'] . ':';
$msg .= $_POST['fp_paidby'] . ':';
$msg .= $_POST['fp_store'] . ':';
$msg .= $_POST['fp_amnt'] . ':';
$msg .= $_POST['fp_batchnumber'] . ':';
$msg .= $_POST['fp_currency'] . ':';
$msg .= $sword;
$hsl = strtolower(hash('sha256', $msg));

if (strtolower($_POST['fp_hash']) == $hsl) {
    # Successful
    addInvoicePayment($invoiceid, $transid, $amount, $fee, $gatewaymodule); # Apply Payment to Invoice: invoiceid, transactionid, amount paid, fees, modulename
    logTransaction($GATEWAY["name"], $_POST, "Successful"); # Save to Gateway Log: name, data array, status
    logModuleCall($GATEWAY["name"], 'payment_success', $invoice, $_POST, $hsl);
} else {
    # Unsuccessful
    logTransaction($GATEWAY["name"], $_POST, "Unsuccessful HASH ERROR"); # Save to Gateway Log: name, data array, status
    logModuleCall($GATEWAY["name"], 'payment_fail', $invoice, $_POST, $hsl);
}
?>