<?php

function fasapay_config() {
    $configarray = array(
        "FriendlyName" => array("Type" => "System", "Value" => "Fasapay"),
        "fp_akun" => array("FriendlyName" => "Fasapay Akun", "Type" => "text", "Size" => "20",),
        "fp_store" => array("FriendlyName" => "Fasapay Store Name", "Type" => "text", "Size" => "20",),
        "fp_sword" => array("FriendlyName" => "Fasapay Secret Word", "Type" => "text", "Size" => "20",),
    );
    return $configarray;
}

function fasapay_link($params) {

    # Gateway Specific Variables
    $gatewayakun = $params['fp_akun'];
    $gatewaystore = $params['fp_store'];    

    # Invoice Variables
    $invoiceid = $params['invoiceid'];
    $description = $params["description"]; //fp
    $amount = $params['amount']; # Format: ##.##
    $currency = $params['currency']; # Currency Code
    
    # System Variables
    //$companyname = $params['companyname'];
    //$systemurl = $params['systemurl'];
    
    $transid = $invoiceid."0".rand(1000, 9999);
    

    # Enter your code submit to the gateway...
    $code = '<form action="https://sci.fasapay.com/" method="post" id="payment">
	  <input type="hidden" name="fp_acc" value="' . $gatewayakun . '" />
	  <input type="hidden" name="fp_store" value="' . $gatewaystore . '" />
	  <input type="hidden" name="fp_item" value="' . $description . '" />	 
	  <input type="hidden" name="fp_merchant_ref" value="'.$transid.'" />
	  <input type="hidden" name="fp_amnt" value="' . $amount . '" />
	  <input type="hidden" name="fp_currency" value="' . $currency . '" />
	  <input type="hidden" name="invoiceid" value="' . $invoiceid . '" />
	  <input type="submit" name="submit" value="Pay Now" /> </br>
          <img src="https://www.fasapay.com/images/banner_affiliasi/fp_banner_73x35.gif" />
	</form>';
    return $code;
}

?>